gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecEnum

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for enum properties.

Synopsis

- newtype ParamSpecEnum = ParamSpecEnum (ManagedPtr ParamSpecEnum)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecEnum o) => IsParamSpecEnum o
- toParamSpecEnum :: (MonadIO m, IsParamSpecEnum o) => o -> m ParamSpecEnum

# Exported types

newtype ParamSpecEnum Source #

Memory-managed wrapper type.

Constructors

ParamSpecEnum (ManagedPtr ParamSpecEnum) |

#### Instances

Instances details

Eq ParamSpecEnum Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecEnum Methods (==) :: ParamSpecEnum -> ParamSpecEnum -> Bool Source # (/=) :: ParamSpecEnum -> ParamSpecEnum -> Bool Source #
BoxedPtr ParamSpecEnum Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecEnum Methods boxedPtrCopy :: ParamSpecEnum -> IO ParamSpecEnum Source # boxedPtrFree :: ParamSpecEnum -> IO () Source #
ManagedPtrNewtype ParamSpecEnum Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecEnum Methods toManagedPtr :: ParamSpecEnum -> ManagedPtr ParamSpecEnum Source #
TypedObject ParamSpecEnum Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecEnum Methods glibType :: IO GType Source #
HasParentTypes ParamSpecEnum Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecEnum
type ParentTypes ParamSpecEnum Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecEnum type ParentTypes ParamSpecEnum = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecEnum o) => IsParamSpecEnum o Source #

Type class for types which can be safely cast to `ParamSpecEnum`, for instance with `toParamSpecEnum`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecEnum o) => IsParamSpecEnum o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecEnum

toParamSpecEnum :: (MonadIO m, IsParamSpecEnum o) => o -> m ParamSpecEnum Source #

Cast to `ParamSpecEnum`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.